package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum AchievementStatus {
	
	CREATE(0, "草稿"),
	ONGOING(1, "进行中"),
	OTHER(2, "其他");

	private AchievementStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, AchievementStatus> status = new HashMap<Integer, AchievementStatus>();

	static {
		for (AchievementStatus value : AchievementStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static AchievementStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static AchievementStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
